Skip to main content
PUT
Update an account.

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

userId
string
required

Body

application/json
version
number
required

You must provide current version.

access
object

Service-account management ACL patch.

memberships
object

Service-account execution membership patch.

name
string

You can to provide name of the user.

surname
string

You can to provide surname of the user.

mail
string

Corporate email of the user (must be valid).

phone
string

You can to provide phone number of the user (must be valid), it should include region e.g. +48...

ownerId
string

You can provide owner of the group, required if ownerType is assigned.

ownerType
enum<string>

Owner type.

Available options:
USER,
GROUP
metadata
object | null

Replacement account metadata. Maximum 16 KiB of UTF-8 JSON and 64 top-level keys. Top-level keys starting with "__" are reserved for backend use.

metaData
object | null
deprecated

Replacement account metadata. Maximum 16 KiB of UTF-8 JSON and 64 top-level keys. Top-level keys starting with "__" are reserved for backend use.

metadataAdvanced
object | null

Extended account data: maximum 16 KiB of UTF-8 JSON and 64 top-level keys.

advancedData
object | null
deprecated

Extended account data: maximum 16 KiB of UTF-8 JSON and 64 top-level keys.

Response

OK.

Last modified on September 5, 2026